'''
Check for queries without any attributes
'''
#fIn = 'log.dilum_7_step_2.txt'
fIn = 'allQueries.txt'

fdIn = open(fIn, 'r')

numLine = 0
lastLine = ''

for line in fdIn:
    if '<num_machines>' in lastLine and '</group>' in line: print numLine
    numLine += 1
    lastLine = line

fdIn.close()
